///////////////////////////////////////////////////////////////////////
//                                                   41 Post                                       //
// Unity3D: JavaScript vs. C#                                                            //
// Created by DimasTheDriver in 23/Dez/2010                                      //
// Part of 'Unity3D: JavaScript vs. C#  ' post series.                          //
// Availiable at:       http://www.41post.com/?p=1320                            //
/////////////////////////////////////////////////////////////////////

using UnityEngine;
using System.Collections;

public class BackToPost : MonoBehaviour 
{
	private int levelNumber;
	private string urlAddress;

	void Awake()
	{
		levelNumber = Application.loadedLevel;
		switch (levelNumber)
		{
			case 0: //Part 1
			{
				urlAddress = "http://www.41post.com/?p=1320";
				break;
			}
				
			case 2: //Part 4
			{
				urlAddress = "http://www.41post.com/?p=1855";
				break;
			}
				
			case 3: //Part 5
			{
				urlAddress ="http://www.41post.com/?p=1974";
				break;
			}
				
			default:
			{
				urlAddress = "http://www.41post.com/";
				break;
			}
				
		}
	}
	
	void OnGUI () 
	{
		if(levelNumber == 1)
		{
			if(GUI.Button(new Rect(5,415,150,30),"Back to 41 Post - Part 2"))
			{
					Application.OpenURL("http://www.41post.com/?p=1580");
			}
			if(GUI.Button(new Rect(445,415,150,30),"Back to 41 Post - Part 3"))
			{
					Application.OpenURL("http://www.41post.com/?p=1665");
			}
		}
		else
		{
			if(GUI.Button(new Rect(455,415,140,30),"Back to 41 Post..."))
			{
				Application.OpenURL(urlAddress);
			}
		}
	}
}
