////////////////////////////////////////////////////////////////////////////////////
//                                                   41 Post                                                           //
// Unity3D: JavaScript vs. C# - Part 2   and   Unity3D: JavaScript vs. C# - Part 3      //
// Created by DimasTheDriver in 23/Dez/2010                                                          //
// Part of 'Unity3D: JavaScript vs. C# ' post series.                                                //
// Availiable at:  http://www.41post.com/?p=1580  and  http://www.41post.com/?p=1665  //
///////////////////////////////////////////////////////////////////////////////////

using UnityEngine;
using System.Collections;

public class PawnMover : MonoBehaviour 
{
	//the GameObject's Transform
	public Transform goTransform;
	private int vel = 2;//how fast the game object is being moved
	
	void Awake() 
	{
		//get this GameObject's Transform 
		goTransform = this.GetComponent<Transform>();
	}
	
	// Update is called once per frame
	void Update() 
	{
		//returns a CS1612 error
		//goTransform.position.z=goTransform.position.z + vel;//<=returns a CS1612 error
		
		//this is the right way to do it when using C#
		goTransform.Translate(Vector3.forward * vel);//moves the containing GameObject forward
		
		//resets this GameObject z position if is greater than 47
		if(goTransform.position.z>=47)
		{
			goTransform.position = new Vector3(goTransform.position.x, goTransform.position.y, -17);
		}
	
	}
	
	//render GUI
	void OnGUI()
	{
		//Instructions
		GUI.Label(new Rect(10,10,600,200),"Select one of the scripts attached to the 'Pawn' GameObject. Only one script can be enebled at a given time.");
	}
}
