///////////////////////////////////////////////////////////////////////
//                                                   41 Post                                       //
// Unity3D: JavaScript vs. C#                                                           //
// Created by DimasTheDriver in 23/Dez/2010                                     //
// Part of 'Unity3D: JavaScript vs. C# ' post series.                           //
// Availiable at:       http://www.41post.com/?p=1320                            //
/////////////////////////////////////////////////////////////////////

using UnityEngine;
using System.Collections;

public class CapsuleMover : MonoBehaviour 
{
	//Get this GameObject's transform
	private Transform capsTrans;
	
	//create a variable that will change its value
	private float oscilator;
	
	//the velocity of the movement
	public float vel = 0.001f;
	
	void Awake () 
	{
		//get this Transform
		capsTrans = this.GetComponent<Transform>();
	}
	
	// Update is called once per frame
	void Update () 
	{
		//makes the capsule oscilate
		if(capsTrans.position.z > 1)
		{
			--oscilator;
		}
		else
		{
			++oscilator;
		}
		capsTrans.Translate(Vector3.forward*oscilator*vel);
	
	}
}
