///////////////////////////////////////////////////////////////////////
//                                                   41 Post                                       //
// Unity3D: JavaScript vs. C#                                                           //
// Created by DimasTheDriver in 23/Dez/2010                                     //
// Part of 'Unity3D: JavaScript vs. C# ' post series.                           //
// Availiable at:       http://www.41post.com/?p=1320                            //
/////////////////////////////////////////////////////////////////////

//Get this GameObject's transform
private var capsTrans : Transform;
	
//create a variable that will change its value
private var oscilator : float;

//the velocity of the movement
public var vel : float = 0.001;
	
function Awake () 
{
	//get this Transform
	capsTrans = this.GetComponent(Transform);
}
	
// Update is called once per frame
function Update () 
{
	//makes the capsule oscilate
	if(capsTrans.position.z > 1)
	{
		--oscilator;
	}
	else
	{
		++oscilator;
	}
	
	//move the capsule
	capsTrans.Translate(Vector3.forward*oscilator*vel);
}

