////////////////////////////////////////////////////////////////////////////////////
//                                                   41 Post                                                           //
// Unity3D: JavaScript vs. C# - Part 2   and   Unity3D: JavaScript vs. C# - Part 3      //
// Created by DimasTheDriver in 23/Dez/2010                                                          //
// Part of 'Unity3D: JavaScript vs. C# ' post series.                                                //
// Availiable at:  http://www.41post.com/?p=1580  and  http://www.41post.com/?p=1665  //
///////////////////////////////////////////////////////////////////////////////////

using UnityEngine;
using System.Collections;

public class PawnGetter : MonoBehaviour 
{
	//a variable to store the 'Pawn' GameObject
	private GameObject pawnGO;
	//a variable to store the 'PawnMover' script
	private PawnMover pmSC;
	
	//use this for initialization
	void Awake () 
	{
		//get the 'Pawn' GameObject
		pawnGO = GameObject.Find("Pawn");
		
		//get the 'PawnMover' script
		//returns a CS0266 error
		//pmSC = pawnGO.GetComponent("PawnMover");
		
		//get the 'PawnMover' script
		pmSC = pawnGO.GetComponent<PawnMover>();//this is the right way to do it when using C#
	}
	
	// Update is called once per frame
	void Update () 
	{
		//look at the Pawn
		transform.LookAt(pmSC.goTransform.position);
	}
	
	
	//renders the GUI
	void OnGUI()
	{
		//instructions
		GUI.Label(new Rect(10,80,100,100),"C# 'PawnGetter' enabled at the C#Getter GameObject");
	}

}